# $Revision: 1.6 $, $Date: 2010/06/06 08:44:31 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	WeakRef
Summary:	WeakRef - an API to the Perl weak references
Summary(pl.UTF-8):	WeakRef - API do perlowych słabych referencji
Name:		perl-WeakRef
Version:	0.01
Release:	3
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-authors/id/L/LU/LUKKA/%{pdir}-%{version}.tar.gz
# Source0-md5:	3162df7a6eda0dfb44676dd9ebfa3c4c
URL:		http://search.cpan.org/dist/WeakRef/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
WeakRef - an API to the Perl weak references.

%description -l pl.UTF-8
WeakRef - API do perlowych słabych referencji.

%prep
%setup -q -n %{pdir}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/*.pm
%dir %{perl_vendorarch}/auto/WeakRef/
%{perl_vendorarch}/auto/WeakRef/*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/WeakRef/*.so
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-WeakRef.spec,v $
Revision 1.6  2010/06/06 08:44:31  arekm
- release 3

Revision 1.5  2008/02/10 12:23:34  arekm
- rel 2

Revision 1.4  2008-01-10 08:38:42  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.3  2007-03-31 12:00:40  qboosh
- pl

Revision 1.2  2007/03/29 10:49:09  radek
- release 1

Revision 1.1  2007/03/29 10:48:36  radek
- new
